import { AvailableLocales } from '../sharedTypes';
export declare type MouseEventListener = (this: HTMLSpanElement, ev: MouseEvent) => any;
export declare type Options = {
    onChange: (a: Date | null | undefined) => void;
    locale?: AvailableLocales;
    initialDate?: Date;
    renderComponent?: any;
    disableCloseOnSelectDate?: boolean;
    disableCloseOnClickOutside?: boolean;
    disableToggleOnClick?: boolean;
    title?: string;
    onTitleClick?: MouseEventListener;
    position?: 'bottom' | 'top';
};
