import Flatpickr from 'flatpickr';
import { Options } from './types';
import './styles.scss';
export default class DatePicker {
    _node: HTMLElement;
    _nodeParent: HTMLElement;
    _calendarWrapper: HTMLElement;
    _option: Pick<Options, 'disableToggleOnClick' | 'disableCloseOnClickOutside'>;
    _flatPickrInstance: Flatpickr.Instance;
    _position: Options['position'];
    constructor(node: HTMLElement, options: Options);
    _createCalendarWrapper: () => HTMLElement;
    _findNodeParent: () => HTMLElement;
    _setCalendarWrapperPosition: () => undefined;
    _resetCalendarWrapperPosition: () => void;
    _addEventListeners: () => void;
    _clickOutsideHandler: ({ target }: MouseEvent) => undefined;
    _openDatePicker: () => void;
    _closeDatePicker: () => void;
    toggleDatePicker: () => void;
    setDate: (date: Date) => void;
    destroy: () => void;
}
